#!/bin/sh

# Uses imagemagick to requantize input image(s) to output image(s)
#

# v0.4 20170108
# Rewrite: get resizeXJpeg.desktop file to pass %U and split off params
# based on every file beginning "file:///"

GOT_DIALOG_CAPABILTY=0
# test for zenity. replace with kdialog/yad/gtkdialog etc. test 
`zenity --help &>/dev/null`
if [ $? -eq 0 ]; then
	GOT_DIALOG_CAPABILTY=1
	#replace the following with your dialog
	jpgSize=`zenity --scale --text="Choose a percentage of the original size." --min-value=1 --max-value=99 --value=50`
elif [ $# -eq 1 ];then
	jpgSize=50
elif [ $# -eq 2 ] && [ $2 -lt 100 ] && [ $2 -gt 0 ];then
	jpgSize=$2
	echo "jpgSize=$2"
else
	echo "Usage: jpgResize.sh jpgFile [jpgSize]"
	echo "if jpgSize is omitted or not between 0 & 100 the default value of 75 is used"
	echo "the new jpeg will be named: fileName-jpgSize.jpg"
fi

#Read the parameters passed in
for url in "$@"; do
	i=$(echo "$url" | sed -e 's|file://|\n|g' | sed '/^$/d') #trim URL
	if [ -n "$i" ]; then
		echo "===================================================="
		dName=$(dirname "$i")
		baseFileName=$(basename "$i")
		fileNameOnly=${baseFileName%%.*}
		fileSuffix=${baseFileName##*.}
		outputFileName=${dName}/${fileNameOnly}-resized${jpgSize}.${fileSuffix}
		echo "$i will be saved as $outputFileName"
		convert "$i" -monitor -filter Cubic -resize "$jpgSize"%x "$outputFileName"
		echo "++++++++++++++++++++++++++++++++++++++++++++++++++++"
	fi
done

